LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
XFixedText Interface Referencepublished

gives access to the text and formatting of a fixed text field. More...

`import "XFixedText.idl";`

Inheritance diagram for XFixedText:

## Public Member Functions
void | setText ([in] string Text)
| sets the text of the control.
string | getText ()
| returns the text of the control.
void | setAlignment ([in] short nAlign)
| sets the alignment of the text in the control.
short | getAlignment ()
| returns the alignment of the text in the control.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

gives access to the text and formatting of a fixed text field.

## Member Function Documentation

## ◆ getAlignment()

short getAlignment | ( |  | ) |

returns the alignment of the text in the control.

## ◆ getText()

string getText | ( |  | ) |

returns the text of the control.

## ◆ setAlignment()

void setAlignment | ( | [in] short | nAlign | ) |

sets the alignment of the text in the control.

    0: left
    1: center
    2: right

## ◆ setText()

void setText | ( | [in] string | Text | ) |

sets the text of the control.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XFixedText.idl